Get Share Requests

gethttps://app.fossa.com/api/v1/share-requests

Get a list of share requests created by the caller's organization. This lists all SBOM revisions that have been shared with other organizations.

Query parameters

projectLocatorstring

Filter share requests by project locator

Responses

200A list of share requests created by the caller's organization.
shareRequestsobject[]
originRevisionIdstring

The ID of the revision that was shared

originProjectLocatorstring

The locator of the project that was shared

projectTitlestring

The title of the project that was shared

sharedOrganizationIdinteger <int64>

The ID of the shared organization record

sharedAtstring <date-time>

The timestamp when the share was created

receivingOrganizationNamestring

The name of the organization that received the share

401Unauthorized
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

403Forbidden
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

500Server Error
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

GET https://app.fossa.com/api/v1/share-requests
curl --request GET \  --url 'https://app.fossa.com/api/v1/share-requests' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.

Query params

projectLocatorstring

Filter share requests by project locator